Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1946642

Summary: Reduce dependencies on python3-setuptools
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Python Maintainers <python-maint>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bcotton, mhroncok, pviktori, python-maint, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 16:03:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1890881    
Bug Blocks: 1894270    

Description Ben Cotton 2021-04-06 14:47:01 UTC
This is a tracking bug for Change: Reduce dependencies on python3-setuptools
For more details, see: https://fedoraproject.org/wiki/Changes/Reduce_dependencies_on_python3-setuptools

We'll do two things to reduce the number of Python packages unnecessarily Requiring python3-setuptools:

Comment 1 Miro HronĨok 2021-04-19 11:31:11 UTC
This is done for Python 3.10, will affect rawhide fully when we upgrade Python.

Comment 2 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.